Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic:  Python transition  (Read 1095 times)

Offline Mister00X

  • User
  • Posts: 144
Python transition
« on: 2022/03/28, 10:32:54 »
Hello everyone,

there is an ongoing python transition, so watch out when upgrading today.

Transition Tracker:
https://release.debian.org/transitions/html/python3.10-default.html
Transition Bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1006836


Hallo allerseits,

im Moment findet eine python-transition statt, also seid beim upgraden etwas vorsichtig heute.

Transition Tracker:
https://release.debian.org/transitions/html/python3.10-default.html
Transition Bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1006836
Arguing that you don't care about the right to privacy because you have nothing to hide is no different than saying you don't care about free speech because you have nothing to say. – Edward Snowden

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.227
    • Land of the Buckeye
Re: Python transition
« Reply #1 on: 2022/03/28, 16:43:51 »
Thanks!
System76 Oryx Pro, Intel Core i7-11800H, SSD 970 EVO Plus;  Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO

Offline -jcb-

  • Newbie
  • Posts: 1
Re: Python transition
« Reply #2 on: 2022/03/29, 11:21:20 »
Yes, unfortunately, this also affects Bluefish. Those who need Bluefish should wait a bit.

Ja, das wirkt sich leider auch auf Bluefish aus. Wer Bluefish benötigt, sollte etwas abwarten.

 :) Bluefish is back in order for me.
« Last Edit: 2022/03/30, 17:34:13 by -jcb- »

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.227
    • Land of the Buckeye
Re: Python transition
« Reply #3 on: 2022/03/29, 16:22:54 »
Mostly it's OK to upgrade here. But hplip and mplayer seem to have a hard dependency on python=<3.10, so they will be removed.
System76 Oryx Pro, Intel Core i7-11800H, SSD 970 EVO Plus;  Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO

Offline harley-peter

  • User
  • Posts: 960
Re: Python transition
« Reply #4 on: 2022/03/29, 16:39:51 »
Here some other packages will be removed:
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  hplip hplip-gui libsmbclient libxine1 libxine1-misc-plugins libxine1-plugins libxine1-xvdr python3-ldb samba-libs smbclient virtualbox virtualbox-ext-pack
  virtualbox-qt

Offline NochEinNeuer

  • User
  • Posts: 159
Re: Python transition
« Reply #5 on: 2022/03/29, 17:40:07 »
Auch Teile von mate sollen deinstalliert werden....

Offline Camelot

  • User
  • Posts: 62
Re: Python transition
« Reply #6 on: 2022/03/29, 20:05:03 »
Wie immer wenn eine Transition stattfindet, verwendet apt upgrade und nicht apt full-upgrade, es werden damit keine Pakete deinstalliert.

As always when doing a transition, use apt upgrade and not apt full-upgrade it will not uninstall any packages.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.227
    • Land of the Buckeye
Re: Python transition
« Reply #7 on: 2022/03/30, 13:17:25 »
hplip ver. 3.21.12+dfsg0-1+b1 is now installable.
System76 Oryx Pro, Intel Core i7-11800H, SSD 970 EVO Plus;  Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO

Offline jyp

  • User
  • Posts: 113
Re: Python transition
« Reply #8 on: 2022/03/31, 21:50:34 »
I would think it is ok to du

Code: [Select]
The following packages will be REMOVED:
  kdenetwork-filesharing python3-samba samba-common-bin
The following NEW packages will be installed:
  libkseexpr-data libkseexpr4 libkseexprui4 libproj25 libpython3.10 libsoup-3.0-0 libsoup-3.0-common linux-headers-5.16.18-1-siduction-amd64 linux-image-5.16.18-1-siduction-amd64
  python3-charset-normalizer

Also

Code: [Select]
aptitude why-not samba-common-bin python3-samba kdenetwork-filesharing
No dependencies require to remove samba-common-bin python3-samba kdenetwork-filesharing

Just to be sure.
Thank you

Offline edlin

  • User
  • Posts: 171
Re: Python transition
« Reply #9 on: 2022/04/01, 11:32:21 »
Ich musste flowblade gehen lassen. :'( Die Abhängigkeiten verlangen ein python3 < 3.10
Code: [Select]
python3-opencv : Hängt ab von: python3 (< 3.10) aber 3.10.4-1 soll installiert werden
Kann ich aussitzen, so oft verwende ich das nicht (und es gibt Alternativen).

Deepl say:
I had to let flowblade go. :'( The dependencies require a python3 < 3.10
Code: [Select]
python3-opencv : Depends on: python3 (< 3.10) but 3.10.4-1 should be installed.
I can sit this one out, I don't use it that often (and there are alternatives).

edlin
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates